com.here.msdkui.routing

## Class CustomRecyclerView.RecyclerItemClickListener

- java.lang.Object
- - com.here.msdkui.routing.CustomRecyclerView.RecyclerItemClickListener

- All Implemented Interfaces:
    androidx.recyclerview.widget.RecyclerView.OnItemTouchListener
  Enclosing class:
    CustomRecyclerView

      public static class CustomRecyclerView.RecyclerItemClickListener
      extends java.lang.Object
      implements androidx.recyclerview.widget.RecyclerView.OnItemTouchListener

  Implementation of a `RecyclerView.OnItemTouchListener`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecyclerItemClickListener(android.content.Context context, androidx.recyclerview.widget.RecyclerView recyclerView, CustomRecyclerView.OnItemClickedListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onInterceptTouchEvent(androidx.recyclerview.widget.RecyclerView view, android.view.MotionEvent e)`
    `void` | `onRequestDisallowInterceptTouchEvent(boolean disallowIntercept)`
    `void` | `onTouchEvent(androidx.recyclerview.widget.RecyclerView view, android.view.MotionEvent motionEvent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecyclerItemClickListener

          public RecyclerItemClickListener(android.content.Context context,
                                           androidx.recyclerview.widget.RecyclerView recyclerView,
                                           CustomRecyclerView.OnItemClickedListener listener)

  - ### Method Detail

    - #### onInterceptTouchEvent

          public boolean onInterceptTouchEvent(androidx.recyclerview.widget.RecyclerView view,
                                               android.view.MotionEvent e)

      Specified by:
        `onInterceptTouchEvent` in interface `androidx.recyclerview.widget.RecyclerView.OnItemTouchListener`

    - #### onTouchEvent

          public void onTouchEvent(androidx.recyclerview.widget.RecyclerView view,
                                   android.view.MotionEvent motionEvent)

      Specified by:
        `onTouchEvent` in interface `androidx.recyclerview.widget.RecyclerView.OnItemTouchListener`

    - #### onRequestDisallowInterceptTouchEvent

          public void onRequestDisallowInterceptTouchEvent(boolean disallowIntercept)

      Specified by:
        `onRequestDisallowInterceptTouchEvent` in interface `androidx.recyclerview.widget.RecyclerView.OnItemTouchListener`